package be.iminds.ilabt.jfed.rspec_fx.rspec_source;

import be.iminds.ilabt.jfed.rspec_fx.model.javafx_impl.FXRspecFactory;
import be.iminds.ilabt.jfed.rspec.rspec_source.TestManifestRspecMerger;
import be.iminds.ilabt.jfed.rspec_fx.util.JavaFXInitializer;
import org.slf4j.LoggerFactory;
import org.testng.annotations.BeforeSuite;

/**
 * TestManifestRspecMergerFX: same as TestManifestRspecMerger but with FXRspecFactory instead of BasicRspecFactory
 */
public class TestManifestRspecMergerFX extends TestManifestRspecMerger {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(TestManifestRspecMergerFX.class);

    protected final FXRspecFactory fxRspecFactory;

    @BeforeSuite
    private static void setupJavaFx() throws InterruptedException {
        JavaFXInitializer.initialize();
    }


    public TestManifestRspecMergerFX() {
        super(FXRspecFactory.getInstance());
        this.fxRspecFactory = (FXRspecFactory) rspecFactory;
    }

}
